using System;

namespace Quadarax.Foundation.Core.Logging
{
    public interface ILog
    {
        void Log(LogSeverityEnum severity, int code, string message);
        void Log(LogSeverityEnum severity, string message);
        void Log(LogSeverityEnum severity, string message, Exception? exception);
        void Log(LogSeverityEnum severity, int code, string message, Exception? exception);
    }
}
